### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.net.brg.orb

# Class BrgOrb

java.lang.Object
org.omg.CORBA.ORB
org.omg.CORBA_2_3.ORB
com.sas.iom.orb.ORBBase
com.sas.iom.orb.brg.ORBImpl
com.sas.net.brg.orb.BrgOrb

@SASScope("ALL") @BinaryCompatibilityOnly public class BrgOrb extends ORBImpl
This is the root class of IOM Bridge for Java, a standard, non-interoperable CORBA ORB. It is standard because it implements the CORBA ORB specification (more specifically, it extends `org.omg.CORBA.ORB`), but it is not interoperable because it can only communicate with an IOM Bridge server. The benefit of communicating with the IOM Bridge server through a standard CORBA ORB is that it will support programs written to communicate with an IOM CORBA server through an interoperable CORBA ORB without modification or even recompilation.

To indicate to one of the `org.omg.CORBA.ORB.init()` method that you would like to use this ORB specify the following property in the `java.util.Properties` object required by those methods.

Name | Value
--- | ---
`org.omg.CORBA.ORBClass` | `com.sas.net.brg.orb.BrgOrb`

It is also possible to instantiate this ORB directly using its constructor.

IOM Bridge for Java supports a variety of encryption algoritms for encrypting messages sent to and received from the IOM Bridge server. If encryption is used, then the authentication message which contains a user name and password will be encrypted.

sasproprietary
  a stream cipher developed at SAS Institute.
rc2
  a block cipher developed by RSA Data Security
rc4
  a stream cipher developed by RSA Data Security
aes
  a block cipher called Advanced Encryption Standard
des
  a block cipher called Data Encryption Standard
tripledes
  des applied three times with separate keys

Support for rc2, rc4, aes, des, and tripledes is only available if SAS/SECURE has been licensed on the IOM Bridge server and if SAS/SECURE Java has been installed in the client code base. Furthermore, government import and export restrictions may limit the countries in which SAS/SECURE is available.

- ## Field Summary

  ### Fields inherited from class com.sas.iom.orb.brg.ORBImpl

  `_daemonParmsKey`

  ### Fields inherited from class com.sas.iom.orb.ORBBase

  `rootPOAName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BrgOrb()`
  `BrgOrb(Properties properties)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Properties`
  `objectToProperties(Object obj)`
  `Object`
  `propertiesToObject(Properties properties)`
  `Object`
  `propertiesToObjectNoCopy(Properties properties)`
  `static String`
  `propertiesToReference(Properties properties)`
  `static Properties`
  `referenceToProperties(String reference)`

  ### Methods inherited from class com.sas.iom.orb.brg.ORBImpl

  `getDaemon, getDaemon, main, object_to_uri, uri_to_object`

  ### Methods inherited from class com.sas.iom.orb.ORBBase

  `create_alias_tc, create_any, create_array_tc, create_context_list, create_enum_tc, create_environment, create_exception_list, create_exception_tc, create_interface_tc, create_list, create_named_value, create_output_stream, create_recursive_sequence_tc, create_sequence_tc, create_string_tc, create_struct_tc, create_union_tc, create_wstring_tc, get_default_context, get_next_response, get_primitive_tc, getInvokingThreadSet, getRootPOA, getSelectionHub, getSingletonORB, list_initial_services, object_to_string, poll_next_response, resolve_initial_references, send_multiple_requests_deferred, send_multiple_requests_oneway, set_parameters, set_parameters, shutdown, string_to_object, trackResource, untrackResource, uri_to_object`

  ### Methods inherited from class org.omg.CORBA_2_3.ORB

  `get_value_def, lookup_value_factory, register_value_factory, set_delegate, unregister_value_factory`

  ### Methods inherited from class org.omg.CORBA.ORB

  `connect, create_abstract_interface_tc, create_basic_dyn_any, create_dyn_any, create_dyn_array, create_dyn_enum, create_dyn_sequence, create_dyn_struct, create_dyn_union, create_fixed_tc, create_native_tc, create_operation_list, create_policy, create_recursive_tc, create_value_box_tc, create_value_tc, destroy, disconnect, get_current, get_service_information, init, init, init, perform_work, run, work_pending`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BrgOrb

    public BrgOrb()

  - ### BrgOrb

    public BrgOrb(Properties properties)

- ## Method Details

  - ### propertiesToObject

    public Object propertiesToObject(Properties properties)

  - ### propertiesToObjectNoCopy

    public Object propertiesToObjectNoCopy(Properties properties)

  - ### objectToProperties

    public Properties objectToProperties(Object obj)

  - ### referenceToProperties

    public static Properties referenceToProperties(String reference)

  - ### propertiesToReference

    public static String propertiesToReference(Properties properties)